﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Telerik.JustMock;
using JustMockTrial;
using System.Threading;
using NUnit.Framework;

namespace JustMockTrialTests
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestFixture]
    public class Tests3
    {
        [TestFixtureSetUp]
        public void TestInitialize()
        {
            Mock.Initialize<SampleClass>();
        }

        [Test]
        public void SampleClass_FindCurrentMonth_Original_Test()
        {
            SampleClass sampleClass = new SampleClass();
            Assert.AreEqual(DateTime.Now.Month, sampleClass.FindCurrentMonth());
        }

        [Test]
        public void SampleClass_FindCurrentMonth_Mocking_Test()
        {
            SampleClass sampleClass = new SampleClass();
            Mock.Arrange(() => sampleClass.FindCurrentMonth()).Returns(-1);
            Assert.AreEqual(-1, sampleClass.FindCurrentMonth());
        }
    }
}
