﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.JustMock;
using JustMockTrial;
using System.Threading;

namespace JustMockTrialTests
{
  /// <summary>
  /// Summary description for UnitTest1
  /// </summary>
  [TestClass]
  public class Tests3
  {
    [TestInitialize]
    public void TestInitialize() 
    {
      Mock.Initialize<SampleClass>();
    }

    [TestCleanup]
    public void TestCleanup ()
    {
    }    

    [TestMethod]
    public void SampleClass_FindCurrentMonth_Original_Test()
    {
      SampleClass sampleClass = new SampleClass();
      Assert.AreEqual(DateTime.Now.Month, sampleClass.FindCurrentMonth());
    }

    [TestMethod]
    public void SampleClass_FindCurrentMonth_Mocking_Test()
    {
      SampleClass sampleClass = new SampleClass();
      Mock.Arrange(() => sampleClass.FindCurrentMonth()).Returns(-1);
      Assert.AreEqual(-1, sampleClass.FindCurrentMonth());
    }
  }
}
